#
# spec file for package python-ipaddress
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ipaddress
Version:        1.0.16
Release:        1.1
Summary:        IPv4/IPv6 manipulation library
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/phihag/ipaddress
Source:         https://pypi.python.org/packages/source/i/ipaddress/ipaddress-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Port of the 3.3+ ipaddress module to 2.6, 2.7, 3.2

%prep
%setup -q -n ipaddress-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md README
%{python_sitelib}/*

%changelog
* Sat Jul  9 2016 michael@stroeder.com
- Update to 1.0.16:
  * include license
  * Customize warning when bytes are passed in
* Wed Jul 29 2015 tbechtold@suse.com
- Initial packaging
